---
title: MouseEvent.screenX
slug: Web/API/MouseEvent/screenX
tags:
  - API
  - CSSOM View
  - DOM Events
  - MouseEvent
  - Property
  - Read-only
  - Reference
---
<div>{{APIRef("DOM Events")}}</div>

<p>The <strong><code>screenX</code></strong> read-only property of the {{domxref("MouseEvent")}} interface provides the horizontal coordinate (offset) of the mouse pointer in global (screen) coordinates.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>x</em> = <em>instanceOfMouseEvent</em>.screenX
</pre>

<h3 id="Return_value">Return value</h3>

<p>A <code>double</code> floating point value. Early versions of the spec defined this as an integer referring to the number of pixels. See the "Browser compatibility" section for details.</p>

<h2 id="Example">Example</h2>

<p>This example displays your mouse's coordinates whenever you trigger the {{Event("mousemove")}} event.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html">&lt;p&gt;Move your mouse to see its position.&lt;/p&gt;
&lt;p id="screen-log"&gt;&lt;/p&gt;</pre>

<h4 id="JavaScript">JavaScript</h4>

<pre class="brush: js">let screenLog = document.querySelector('#screen-log');
document.addEventListener('mousemove', logKey);

function logKey(e) {
  screenLog.innerText = `
    Screen X/Y: ${e.screenX}, ${e.screenY}
    Client X/Y: ${e.clientX}, ${e.clientY}`;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Example")}}</p>

<h3 id="Routing_an_event">Routing an event</h3>

<p>When you trap events on the window, document, or other roomy elements, you can get the coordinates of that event (e.g., a click) and route it properly, as the following example demonstrates:</p>

<pre class="brush: js">function checkClickMap(e) {
  if (e.screenX &lt; 50) doRedButton();
  if (50 &lt;= e.screenX &amp;&amp; e.screenX &lt; 100) doYellowButton();
  if (e.screenX &gt;= 100) doRedButton();
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSSOM View','#dom-mouseevent-screenx', 'screenX')}}</td>
   <td>{{Spec2('CSSOM View')}}</td>
   <td>Redefines {{domxref("MouseEvent")}} from long to double.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM3 Events','#widl-MouseEvent-screenX','MouseEvent.screenX')}}</td>
   <td>{{Spec2('DOM3 Events')}}</td>
   <td>No change from {{SpecName('DOM2 Events')}}.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Events','#Events-MouseEvent','MouseEvent.sceenX')}}</td>
   <td>{{Spec2('DOM2 Events')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MouseEvent.screenX")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ domxref("MouseEvent") }}</li>
 <li>{{ domxref("MouseEvent.screenY","screenY") }}</li>
 <li>{{ domxref("MouseEvent.clientX","clientX") }} / {{ domxref("MouseEvent.clientY", "clientY") }}</li>
</ul>
